#
# spec file for package yast2-registration (Version 2.13.24)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-registration
Version:        2.13.24
Release:        0.4.36
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-registration-2.13.24.tar.bz2
Prefix:         /usr
Requires:       yast2
Requires:       yast2-network
Requires:       suseRegister
Requires:       perl-TimeDate limal limal-perl limal-ca-mgm-perl
# because of SourceManager
Requires:       yast2-packager >= 2.13.152
%if %sles_version
Requires:       zmd rug
%endif
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-packager yast2-testsuite
BuildRequires:  limal limal-ca-mgm-perl limal-perl perl-TimeDate
BuildArch:      noarch
Summary:        YaST2 Registration Module

%description
The registration module to register products and/or to fetch an update
source (mirror) automatically.



Authors:
--------
    J. Daniel Schmidt <jdsn@suse.de>

%prep
%setup -n yast2-registration-2.13.24

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
%if %sles_version
    rm $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/suse_register.desktop
%else
    rm $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/customer_center.desktop
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre
/usr/sbin/groupadd -r suse-ncc 2> /dev/null || :
/usr/sbin/useradd -r -s /bin/bash -c "Novell Customer Center User" -d /var/lib/YaST2/suse-ncc-fakehome -g suse-ncc suse-ncc 2> /dev/null || :

%files
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/yast2-registration
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/*.pm
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/schema/autoyast/rnc/registration.rnc
/usr/share/YaST2/yastbrowser
# agents
/usr/share/YaST2/scrconf/cfg_suse_register.scr
#fillup
/var/adm/fillup-templates/sysconfig.suse_register-yast2-registration
%changelog
* Wed Jul  8 2009 jdsn@suse.de
- port the fix to override certificate handling for *.novell.com
  domains to SP3 (bnc#413231)
- 2.13.24
* Wed Jul  1 2009 jdsn@suse.de
- backported yastbrowser from code11 to work with xulrunner 1.9
  (bnc#513884)
- backported xen detection from code11 (bnc#418287)
- fixed status message for no added update server (bnc#461654)
- 2.13.23
* Tue Apr  8 2008 jdsn@suse.de
- fix SMT certificate installation in autoyast mode (bnc#377929)
- 2.13.22
* Wed Apr  2 2008 jdsn@suse.de
- renaming all registration cofiguration parameters (bnc#376000)
- 2.13.21
* Tue Apr  1 2008 jdsn@suse.de
- rename bootparameters for custom registration server (bnc#376000)
- do not prompt for SMT certificate in running system (bnc#375993)
- proper pluralization in AutYaST summary (bnc#184893)
- 2.13.20
* Wed Mar 12 2008 jdsn@suse.de
- fix for textmode registration with w3m (bnc#367719)
- show curser in w3m registration (bnc#175669)
- 2.13.19
* Wed Mar  5 2008 jdsn@suse.de
- fix for issues coming from merge with trunk (#367184)
- 2.13.28
* Wed Feb 27 2008 jdsn@suse.de
- renaming YEP to SMT
- 2.13.17
* Mon Feb  4 2008 jdsn@suse.de
- fixes to autoyast YEP support
- important logging to y2milestone
- textual fixes
- 2.13.16
* Fri Jan 25 2008 jdsn@suse.de
- removed dependency to yast2-ca-management
- 2.13.15
* Tue Jan 22 2008 jdsn@suse.de
- support for yep servers (Fate #303335)
- removed obsolete code
- 2.13.14
* Tue Dec 11 2007 jdsn@suse.de
- always restore repos that have been deleted by accident (#309231)
- 2.13.13
* Mon Apr  2 2007 jdsn@suse.de
- fixed category in desktop files (#259914)
- 2.13.12
* Tue Mar 27 2007 ug@suse.de
- autoyast schema check fixed (#211014)
- 2.13.11
* Mon Mar 19 2007 jdsn@suse.de
- inserted rnc schema file reference into desktop files (#219408)
- improved dependecies in spec file (#253975)
- proxy error handling backported (#208651)
- 2.13.10
* Wed Mar 14 2007 jdsn@suse.de
- added registration autoyast rnc schema file (#219408)
- 2.13.9
* Fri Jan 26 2007 jdsn@suse.de
- fixed path for suseRegister on-boot flag file
- 2.13.8
* Wed Jan 24 2007 jdsn@suse.de
- changed path for suseRegister on-boot flag file
- 2.13.7
* Mon Jan 15 2007 jdsn@suse.de
- removed the syncronize checkbox from (F#301822)
- applied text changes from shorn
- fixed cron job configuration (#235101) (F#301822)
- 2.13.6
* Fri Jan 12 2007 jdsn@suse.de
- GUI support for monthly run of suse_register (F#301822)
- 2.13.5
* Thu Nov  9 2006 jsrain@suse.cz
- fixed textdomain (#219378)
- 2.13.4
* Tue Oct 31 2006 jdsn@suse.de
- using own icon in installation workflow (#211552)
- check for rug and zmd to be installed (#191135)
- show message if no product to be registered (#191258)
- avoid missing file error in log (#211899)
- do not log sensitive data from autoyast (#195624)
- renamed the _not_ missing file (inst_)suse_register.ycp
- 2.13.3
* Wed Oct  4 2006 jsrain@suse.cz
- added missing inst_suse_register.ycp
- 2.13.2
* Mon Oct  2 2006 locilka@suse.cz
- Added missing yast2-packager into BuildRequires
- 2.13.1
* Sat Aug 26 2006 jdsn@suse.de
- initial version
- split off registration from installation (#203551)
- fixed desktop files (#165891)
- fixed proxy bug under Gnome (#207332)
